Skip to main content
POST
Upload a file or photo

Authorizations

Authorization
string
header
required

An org API key: Authorization: Bearer oak_….

Body

application/json
content_type
string
required
Required string length: 1 - 255
size_bytes
integer
required
Required range: x >= 0
purpose
enum<string>
default:file
Available options:
file,
avatar

Response

Successful Response

POST upload_fields (in order) plus the file as file to upload_url, then send media_key as a file property value or as avatar_key.

media_key
string
required
upload_url
string
required
upload_fields
Upload Fields · object
required